# fn:subsequence

fn:subsequence(item()* $sourceSeq, double $startingLoc) → item()*

Function signature

$sourceSeq | item() *
$startingLoc | xs:double
Result | item() *

Returns those items in the given sequence from the given starting position to the end of the sequence

XPath 2.0 Specification

Implemented, currently requires integer argument

Note:Non-integer values, negative values etc for the second argument may not work as defined in the XPath specification.

fn:subsequence(item()* $sourceSeq, double $startingLoc, double $length) → item*

Function signature

$sourceSeq | item() *
$startingLoc | xs:double
$length | xs:double
Result | item() *

Returns those items in the given sequence from the given starting position up to the position implied by the given length

XPath 2.0 Specification

Implemented, currently requires integer arguments

Note:Non-integer values, negative values etc for the second or third argument may not work as defined in the XPath specification.

Expand | Up Next